package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsMeeting;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface PmsMeetingMapper {
    /**
     * 查询会议纪要列表
     */
    List<PmsMeeting> selectList(PmsMeeting meeting);

    /**
     * 根据主键查询会议纪要
     */
    PmsMeeting selectById(Long id);

    /**
     * 新增会议纪要
     */
    int insert(PmsMeeting meeting);

    /**
     * 修改会议纪要
     */
    int update(PmsMeeting meeting);

    /**
     * 删除会议纪要
     */
    int deleteById(Long id);

    /**
     * 批量删除会议纪要
     */
    int deleteByIds(Long[] ids);
}
